Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer
Class RendererState

    java.lang.Object
      org.jfree.chart.renderer.RendererState

Direct Known Subclasses:
  CategoryItemRendererState, PiePlotState, XYItemRendererState

    public class RendererState

extends java.lang.Object

Represents the current state of a renderer.

Constructor Summary
`RendererState(PlotRenderingInfo info)` Creates a new state object.

Method Summary
`EntityCollection` | `getEntityCollection()` A convenience method that returns a reference to the entity collection (may be `null`) being used to record chart entities.
`PlotRenderingInfo` | `getInfo()` Returns the plot rendering info.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RendererState

    public RendererState(PlotRenderingInfo info)

  Creates a new state object.

  Parameters:
    `info` - the plot rendering info.

Method Detail

### getInfo

    public PlotRenderingInfo getInfo()

  Returns the plot rendering info.

  Returns:
    The info.

### getEntityCollection

    public EntityCollection getEntityCollection()

  A convenience method that returns a reference to the entity collection (may be `null`) being used to record chart entities.

  Returns:
    The entity collection (possibly `null`).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.